package org.gcube.portlets.user.td.widgetcommonevent.client;

import com.google.gwt.i18n.client.Messages;

/**
 * 
 * @author giancarlo email: <a
 *         href="mailto:g.panichi@isti.cnr.it">g.panichi@isti.cnr.it</a>
 *
 */
public interface CommonMessages extends Messages {

	@DefaultMessage("Success")
	String success();

	@DefaultMessage("Error")
	String error();

	@DefaultMessage("Attention")
	String attention();

	@DefaultMessage("Error Locked")
	String errorLocked();

	@DefaultMessage("Error Final")
	String errorFinal();
	
	@DefaultMessage("Close")
	String btnCloseText();
	
	@DefaultMessage("Close")
	String btnCloseToolTip();

	@DefaultMessage("Expired Session!")
	String expiredSession();
	
	@DefaultMessage("No user found!")
	String noUserFound();
	
	@DefaultMessage("File source")
	String fileSourceName();
	
	@DefaultMessage("Select this source if you want to retrive document from File")
	String fileSourceDescription();
	
	@DefaultMessage("Workspace source")
	String workspaceSourceName();
	
	@DefaultMessage("Select this source if you want to retrive document from Workspace")
	String workspaceSourceDescription();
	
	@DefaultMessage("Error retrieving columns")
	String errorRetrievingColumnsHead();
	
	@DefaultMessage("Error retrieving columns on server!")
	String errorRetrievingColumns();
	
	@DefaultMessage("Search: ")
	String toolItemSearchLabel();	
	
	@DefaultMessage("Reload")
	String toolItemReloadLabel();	
	
	@DefaultMessage("Operation Completed")
	String operationCompleted();
	
	@DefaultMessage("Operation Failed")
	String operationFailed();
	
	@DefaultMessage("Validation Failed")
	String validationFailed();
	
	@DefaultMessage("Operation Aborted")
	String operationAborted();
	
	@DefaultMessage("Operation in Background")
	String operationInBackground();
	
}
